/*
 * LEDcube.h - Arduino library for LEDcube V.2 kit
 *
 *      This work is licensed under the Creative Commons BY SA License.Creative Commons v3.5
 *           Attribution and Share Alike.
 *  	see http://creativecommons.org/licenses/by-sa/3.0/ for details.
 *      Rolf van Widenfelt, Mitch Altman.
 *
 */

#ifndef LEDcube_h
#define LEDcube_h


#include <inttypes.h>

// public constants
#define COLOR_OFF 0
#define COLOR_ON 0xF

// our lonely button, labeled "A" on the board
#define BUTTON_A 1


// internal constants - don't use in your code :-)
#define _FB_SIZE 27
#define _NUM_PLANES 3

const bool TRUE=1, FALSE=0;

class LEDcube
{
  private:

  public:
	LEDcube(void);
	void Begin(void);		// call this first!
	void SetColor(uint8_t);
	uint8_t GetColor(void);
	void Clear(void);
	void DrawPixel(uint8_t x, uint8_t y, uint8_t z);

	bool GetButton(uint8_t);

	void SetFrameInterval(uint8_t);		// NYI!
	void WaitUntilFrame(void);			// NYI!
};


#endif /* LEDcube_h */
