/*
  CubeExample1.pde - Demonstrates how to use the Arduino library for LEDcube V.2 kit

  This displays a diagnal line that spins around.

       This work is licensed under the Creative Commons BY SA License.Creative Commons v3.5
            Attribution and Share Alike.
   	see http://creativecommons.org/licenses/by-sa/3.0/ for details.
       Rolf van Widenfelt, Mitch Altman.
 */

#include <LEDcube.h>

// note that wiring.h gets included automatically

// for cube.DrawPixel(c,r,p):
//   c: column
//   r: row
//   p: plane
// where 0,0,0 is the left column, rear row, top plane   --   the board is oriented with the FDTI connector on the left


// create a "cube" instance
LEDcube cube;


// this controls the current frame of the animation
int anim = 0;


void setup() {
  // first, initialize the library - this is needed!
  cube.Begin();

  // initially, we want all the pixels off
  cube.Clear();

  cube.DrawPixel(1,1,1);  // start with one pixel on
  delay(500);
}


void loop() {

  cube.Clear();

  if (anim == 0) {
    cube.DrawPixel(0,0,0);  // draw a diagonal
    cube.DrawPixel(1,1,1);
    cube.DrawPixel(2,2,2);
  } else if (anim == 1) {
    cube.DrawPixel(2,0,0);  // draw a diagonal - rot 90
    cube.DrawPixel(1,1,1);
    cube.DrawPixel(0,2,2);
  } else if (anim == 2) {
    cube.DrawPixel(2,2,0);  // draw a diagonal - rot 180
    cube.DrawPixel(1,1,1);
    cube.DrawPixel(0,0,2);
  } else if (anim == 3) {
    cube.DrawPixel(0,2,0);  // draw a diagonal - rot 270
    cube.DrawPixel(1,1,1);
    cube.DrawPixel(2,0,2);
  }

  delay(500);

  anim++;
  if (anim >= 4) {
    anim = 0;
  }
}
